body {
  position: relative;
  z-index: 10;
  -webkit-font-smoothing: subpixel-antialiased; // Safari fix

  min-width: 320px;

  @media (min-width: @screen-sm-min) {
    min-width: 1020px;
  }
}

html, 
body {
  width: 100%;
  height: 100%;
}

.page-wrap {
  min-height: 100%;
  overflow: hidden;
  padding: 0 0 103px;
  position: relative;
  z-index: 19;

  &--footer-big {
    padding: 0 0 199px;
  }

  &--gray {
    background-color: @gray;
  }
}

footer.footer {
  height: 103px;
  margin-top: -103px;
  background-color: #fff;
  position: relative;
  z-index: 20;

  &--gray {
    background-color: @gray;
  }

  &.footer--big {
    height: 199px;
    margin-top: -199px;
  }
}



.container {
  &--relative {
    position: relative;
  }

  &--modal-success {
    max-width: 600px;
  }
}



h1, .h1,
h2, .h2,
h3, .h3 {
  letter-spacing: .05em;
}

// Классы со включенным Javascript
.js {
  // фильтр городов в хедере
  .sliding-top {
    display: none;
  }

  // скроем что-нибудь
  .js-hide {
    display: none;
  }
}

// Классы с выключенным JS
.no-js {

}

// основной блок
.main {
  padding-top: 107px; // = header height

  &--pt0 {
    padding-top: 0;
  }

  &--map {
    background: @blue url('../img/gluh-map.jpg') top center no-repeat;
    // background-size: 2560px 836px;
    background-size: auto auto;
    min-height: 836px;
  }
}

a {
  .dark-blue-link;
}

ul.ul-custom {
  padding: 0;

  li {
    list-style-type: none;
    position: relative;
    padding-left: 35px;

    &:before {
      content: '';
      position: absolute;
      left: 0;
      top: 9px;
      width: 22px;
      height: 2px;
      background-color: @blue;
    }
  }
}

img.content-img {
  .img-responsive;
  display: block;
  margin: 40px 0;
}

// кнопка-закрывашка
.btn-close {
  .text-hide;
  position: absolute;
  top: 48px;
  right: 40px;
  width: 32px;
  height: 32px;

  &:active {
    opacity: .3;
  }
}

.link-big {
  display: inline-block;
  padding: 0 30px 0 0;
  font-size: 24px;
  color: @blue;
  text-decoration: underline;
  .trz;
  
  background-image: url('data:image/png;charset=utf-8;base64,iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAAdUlEQVR4Ae3U0QnEMAyD4a6X7D9C61C4HXTqBEWJSjA48D/GfE861Hfdv8aCYbFg7TmoFgymYgYAZ/kBq/8LUIAC7Ae8b/v3gGDYCUABxINwlhIQRsCYAXQ2GBY7WRcB/gqQH6D/L0ACgF52gHXbdYB521XAHxeHb/nx+Qd7AAAAAElFTkSuQmCC');
  background-size: 16px 16px;
  background-repeat: no-repeat;
  background-position: 100% 1px;
  .dark-blue-link;

  &:hover {
    background-image: url('data:image/png;charset=utf-8;base64,iVBORw0KGgoAAAANSUhEUgAAACAAAAAgCAYAAABzenr0AAAAd0lEQVR4Ae3UsQ2AMAxEUcZLsjsVDQMgZwxzTIB8HAJLjvRLO6/yEn3rtjdkyB9mqF0LoxlyUcYAXFl+AD9fgAIU4EeAfnNeXwcY8i8BXoDgQleWEmBCwGQAA03B5wcaDEBaAdIDiPkEgAIQJQdIbzsDkN72KOAEAwtrAHrT7IsAAAAASUVORK5CYII=');
  }

  &:active {
    color: @blue-light;
    opacity: .3;
  }
}

.btn {
  display: inline-block;
  color: #fff;
  .tdn;
  .trz;
  border: 2px solid #fff;
  border-radius: 18px;
  letter-spacing: .04em;
  padding: 0 25px;
  line-height: 33px;

  .white-btn-hvr;
}

.btn-blue {
  margin: 0 0 10px;
  display: inline-block;
  color: #fff;
  .tdn;
  .trz;
  border: 2px solid @blue-light;
  border-radius: 18px;
  letter-spacing: .04em;
  padding: 0 25px;
  line-height: 33px;
  color: @dark_normal;
  background-color: #fff;

  &:focus {
    outline: none;
    color: @dark_normal;
  }

  &:hover {
    border-color: @blue-condensed;
    background-color: @blue-condensed;
    color: #fff;
  }

  &:active {
    border-color: @blue-condensed;
    background-color: @blue-condensed;
    color: #fff;
    color: rgba(255,255,255,0.3);
  }
}


.radioAnimation {
  animation: radioAnimation .4s linear;
}

@keyframes radioAnimation {
  0% {
    box-shadow: 0 0 0 0 #fff;
  }

  15% {
    box-shadow: 0 0 0 4px @blue, 0 0 0 6px #fff;
  }

  30% {
    box-shadow: 0 0 0 8px @blue, 0 0 0 10px #fff;
  }

  45% {
    box-shadow: 0 0 0 12px @blue, 0 0 0 14px #fff;
  }
  
  80% {
    box-shadow: 0 0 0 12px @blue, 0 0 0 14px #fff;
  }
}
// ==============
// !!RESPONSIVE!!
// ==============
//      DESK
// ==============
// @media (min-width: @screen-sm-min) {
// 
// }
// ==============
//     MOBILE
// ==============
@media (max-width: @screen-xs-max) {
  .mobile-offset {
    padding-left: @m_offset;
    padding-right: @m_offset;
  }

  .container {
    &--mobile-nooffset {
      padding: 0;

      .mobile-section {
        padding-left: @m_offset;
        padding-right: @m_offset;
      }
    }
  }

  h1, .h1 {
    font-size: 24px;
    line-height: 30px;
  }

  .main {
    padding-top: 0;

    &--map {
      padding-top: 56px;
      background: @blue url('../img/gluh-map-mobile.png') 50% 56px no-repeat;
      background-size: 600px 549px;
      min-height: 549px;
      position: relative;

      .map-pointer {
        position: absolute;
        top: 245px;
        left: 50%;
        margin-left: -31px;
      }
    }
  }

  footer.footer {
    height: 60px;
    margin-top: -60px;
    background-color: #fff;

    &.footer--big {
      height: 130px;
      margin-top: -130px;
      padding-top: 22px;
    }

    &--gray {
      background-color: @gray;
    }
  }

  .page-wrap {
    padding: 0 0 60px;

    &--footer-big {
      padding: 0 0 130px;
    }

    &--map {
      background-color: @blue;
    }
  }

  .btn-close {
    top: 26px;
    right: 30px;
    width: 23px;
    height: 23px;

    // svg {
    //   width: 23px;
    //   height: 23px;
    // }
    &:before {
      width: 23px;
      height: 23px;
      background-size: 23px 23px;
    }
  }

  .link-big {
    font-size: 18px;
    line-height: 24px;
  }

  .lead {
    font-size: 16px;
    line-height: 24px;
    text-transform: uppercase;
    font-weight: bold;
    margin: 0 0 18px;
  }

  img.content-img {
    margin: 20px 0;
  }

  .mobile-section {
     border-bottom: 1px solid @mobile-border-color;
     margin: 0 0 23px;
     padding: 0 0 9px;

     &--last {
      border-bottom: none;
      padding: 0;
     }
  }
}